<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="LIST">
<xsl:call-template name="MODULE-CSS"/>
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="mod-search" style="margin: 10px 0;">
	<tr>
		<td align="center" style=" padding: 5px 10px;">
			<form name="search" action="{@URL}" method="get" style="margin: 0;">

				<xsl:value-of select="LOCALE/SEARCH"/>
				<input name="search" class="mod-input" style="width: 205px; margin: 0 10px;"/>
				<xsl:value-of select="LOCALE/IN"/>

				<select name="searchType" class="mod-input" style="width: 167px; margin: 0 10px;">
					<option value="1"><xsl:value-of select="LOCALE/SEARCH-ITEM-1"/></option>
					<option value="2"><xsl:value-of select="LOCALE/SEARCH-ITEM-2"/></option>
				</select>

				<input type="submit" class="mod-search-button">
					<xsl:attribute name="value"><xsl:value-of select="LOCALE/SEARCH"/></xsl:attribute>
				</input>
			</form>
		</td>
	</tr>
</table>
<xsl:if test="count(ROW) != 0">

	<table cellpadding="0" cellspacing="0" border="0" width="100%" style="border-collapse: collapse;">
		<tr>
			<td width="100%" class="mod-category-header" style="padding: 5px 10px;">
				<b><xsl:value-of select="LOCALE/NAME"/></b>
			</td>
			<td class="mod-category-header" style="padding: 5px 10px;">
				<b><xsl:value-of select="LOCALE/TOPICS"/></b>
			</td>
			<td class="mod-category-header" style="padding: 5px 10px;">
				<b><xsl:value-of select="LOCALE/REPLIES"/></b>
			</td>
		</tr>
		<xsl:apply-templates select="ROW" />
	</table>
</xsl:if>
</xsl:template>

<xsl:template match="LIST/ROW">
<tr>
	<td class="mod-category-body" style="padding: 5px 10px;">
		<a href="{../@URL}?category={ID/.}" class="mod-category-body-a"><b><xsl:value-of select="NAME"/></b></a><br/>
		<xsl:apply-templates select="DESCRIPTION"/>
	</td>
	<td align="right" class="mod-category-body" style="padding: 5px 10px;">
		<xsl:choose>
			<xsl:when test="ITEMS_COUNT != ''"><xsl:value-of select="ITEMS_COUNT"/></xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</td>
	<td align="right" class="mod-category-body" style="padding: 5px 10px;">
		<xsl:choose>
			<xsl:when test="SUB_ITEMS_COUNT != ''"><xsl:value-of select="SUB_ITEMS_COUNT"/></xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</td>
</tr>
</xsl:template>

<xsl:template match="DESCRIPTION">
	<xsl:apply-templates select="*|text()"/>
</xsl:template>

<xsl:template match="DESCRIPTION//@*|DESCRIPTION//comment()|DESCRIPTION//text()">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="DESCRIPTION//*">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

</xsl:stylesheet>