<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="LIST">
	<xsl:call-template name="MODULE-CSS"/>
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="mod-search" style="margin: 10px 0;">
		<tr>
			<td align="center" style=" padding: 5px 10px;">
				<form name="search" action="{@URL}" method="get" style="margin: 0;">

					<xsl:value-of select="LOCALE/SEARCH"/>
					<input name="search" class="mod-input" style="width: 205px; margin: 0 10px;"/>
					<xsl:value-of select="LOCALE/IN"/>

					<select name="searchType" class="mod-input" style="width: 167px; margin: 0 10px;">
						<option value="1"><xsl:value-of select="LOCALE/SEARCH-ITEM-1"/></option>
						<option value="2"><xsl:value-of select="LOCALE/SEARCH-ITEM-2"/></option>
					</select>

					<input type="submit" class="mod-search-button">
						<xsl:attribute name="value"><xsl:value-of select="LOCALE/SEARCH"/></xsl:attribute>
					</input>
				</form>
			</td>
		</tr>
	</table>

	<div>
		<a href="{@URL}"><xsl:value-of select="LOCALE/FORUM"/></a>

		<xsl:if test="CATEGORY">
			&#160;&gt;&#160;
			<a href="{@URL}?category={CATEGORY/@ID}"><xsl:value-of select="CATEGORY/."/></a>
		</xsl:if>

		&#160;&gt;&#160;
		<xsl:value-of select="TOPIC/SUBJECT"/>
	</div>
	<br/>

	<table cellpadding="0" cellspacing="0" border="0" width="100%" style="border-collapse: collapse; margin-top: 10px;">
	<!-- tr>
		<td class="mod-comment-header" style="padding: 5px 10px;">
			<div style="float:left;"><xsl:value-of select="TOPIC/AUTHOR"/></div>
			<div style="float:right;"><xsl:value-of select="TOPIC/CREATED"/></div>
		</td>
	</tr -->
	<tr>
		<td class="mod-comment-body" style="padding: 5px 10px;">
			<xsl:apply-templates select="TOPIC/CONTENT"/>
		</td>
	</tr>
	</table>

	<xsl:apply-templates select="ROW" />

	<br/>

	<xsl:apply-templates select="PAGING"/>


	<form name="add" action="{@URL}?topic={TOPIC/@ID}&amp;category={CATEGORY/@ID}" method="POST" style="margin: 0;">
		<input type="hidden" name="action" value="addMessage"/>
		<table cellpadding="10" cellspacing="0" border="0" width="100%" class="mod-form" style="margin: 10px 0;">
			<tr>
				<td colspan="2" class="mod-form-title"><b><xsl:value-of select="LOCALE/SUBMIT-REPLY"/></b></td>
			</tr>
			<tr>
				<td colspan="2" style="padding: 0 10px;">
					<div class="mod-form-hr" style="height:1px;"><span></span></div>
				</td>
			</tr>
			<tr>
				<td width="100%">
					<xsl:value-of select="LOCALE/NAME"/> <span id="name_asterix" class="requiered">*</span><br/>
					<input name="author" class="mod-input" style="width: 100%" value="{COMMENT-FORM/AUTHOR/.}"/>
				</td>
			</tr>
			<tr>
				<td colspan="2" style="padding: 0 10px;">
					<xsl:value-of select="LOCALE/COMMENT"/> <span id="name_asterix" class="requiered">*</span><br/>
					<textarea name="comment" style="width: 100%; height: 87px;"><xsl:value-of select="COMMENT-FORM/COMMENT/." /></textarea>
				</td>
			</tr>
			<tr>
				<td colspan="2" align="right">
					<input type="submit" value="{LOCALE/SUBMIT/.}" class="mod-form-button"/>
				</td>
			</tr>
		</table>
	</form>
</xsl:template>

<xsl:template match="LIST/ROW">
<table cellpadding="0" cellspacing="0" border="0" width="100%" style="border-collapse: collapse; margin-top: 10px;">
	<tr>
		<td class="mod-comment-header" style="padding: 5px 10px;">
			<div style="float:left;"><xsl:value-of select="AUTHOR/."/></div>
			<div style="float:right;"><xsl:value-of select="CREATED/."/></div>
		</td>
	</tr>
	<tr>
		<td class="mod-comment-body" style="padding: 5px 10px;">
			<!-- div class="mod-comment-body-title" style="margin-bottom: 10px;"><b><xsl:value-of select="../LOCALE/RE/."/>: <xsl:value-of select="../TOPIC/."/></b></div -->
			<xsl:apply-templates select="COMMENT"/>
		</td>
	</tr>
</table>
</xsl:template>

<xsl:template match="COMMENT">
	<xsl:apply-templates select="*|text()"/>
</xsl:template>

<xsl:template match="COMMENT//@*|COMMENT//comment()|COMMENT//text()">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="COMMENT//*">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="CONTENT">
	<xsl:apply-templates select="*|text()"/>
</xsl:template>

<xsl:template match="CONTENT//@*|CONTENT//comment()|CONTENT//text()">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="CONTENT//*">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

</xsl:stylesheet>