<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-CATEGORIES/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height: 24px; white-space: nowrap;">
			<th style="width: 1%; text-align: center;">
				<input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked,'category');"/>
			</th>
			<th style="padding-left: 4px; padding-right: 4px;">
				<xsl:value-of select="NAME"/>
			</th>
			<th style="padding-left: 4px; padding-right: 4px;">
				<xsl:value-of select="TOPICS-COUNT"/>
			</th>
			<th style="padding-left: 4px; padding-right: 4px;">
				<xsl:value-of select="MESSAGES-COUNT"/>
			</th>
			<th style="width:1%;"/>
			<th style="width:1%;"/>
			<th style="width:1%;text-align:center; padding-left:4px;padding-right:4px;" scope="col">
				<xsl:value-of select="EDIT"/>
			</th>
		</tr>
	</xsl:template>

	<xsl:template match="FORUM-CATEGORIES/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height: 24px;">
			<td class="SB_GridText" style="width: 1%; text-align: center;">
				<input type="checkbox" name="category_objectIds[]">
					<xsl:attribute name="value">
						<xsl:value-of select="ID"/>
					</xsl:attribute>
				</input>
			</td>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="NAME"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="ITEMS-COUNT"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title">
					<xsl:value-of select="SUB-ITEMS-COUNT"/>
				</xsl:with-param>
			</xsl:call-template>
			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="not(IS-FIRST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
						setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Forum/Category/Up?id=<xsl:value-of select="ID"/>');top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
					</a>
				</xsl:if>
			</td>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="not(IS-LAST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Forum/Category/Down?id=<xsl:value-of select="ID"/>');top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
					</a>
				</xsl:if>
			</td>
			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">
				<a href="#">
					<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Forum/Category/Edit?categoryId=<xsl:value-of select="ID"/>');</xsl:attribute>
					<img style="border-width: 0px; width: 16px; height: 16px;" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="FORUM-CATEGORIES/TOOLBAR/TOOLBAR-ITEM[1]/@ACTION">
		<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="."/>');</xsl:attribute>
	</xsl:template>

</xsl:stylesheet>